Trace the parser operation

- « Parle\Parser::tokenId

- Parle\Parser::validate »

- PHP Manual
- Parle\Parser
- Trace the parser operation

# Parle\Parser::trace

(PECL parle >= 0.5.1)

Parle\Parser::trace — Trace the parser operation

### Description

public Parle\Parser::trace(): string

Retrieve the current parser operation description. This can be especially useful for studying the parser and to optimize the grammar.

### Parameters

This function has no parameters.

### Return Values

Returns a string with the trace information.